keymatrix-class {planor} | R Documentation

## Class keymatrix

### Description

An S4 class to represent an elementary key matrix.

### Objects from the Class

Objects from this class are usually components of an object of class `keyring` or `designkey.`

### Slots

.Data

  a matrix of integers modulo `p`.

p

  a prime number.

### Extends

Class `matrix`, from data part. Class `array`, by class matrix, distance 2. Class `structure`, by class matrix, distance 3. Class `vector`, by class matrix, distance 4, with explicit coerce.

### Methods

alias

  give the aliasing relationships of the key matrix. See `alias` methods.

show

  display the object. See `show` methods.

summary

  summarize the design properties. See `summary` methods.

### Author(s)

Monod, H. and Bouvier, A.

### See Also

`keyring`, `designkey`

### Examples

    showClass("keymatrix")
    ### Creation of a listofkeyrings object
    K0 <- planor.designkey(factors=c("block", LETTERS[1:4]), nlevels=rep(3,5),
        model=~block + (A+B+C+D)^2, estimate=~A+B+C+D,
        nunits=3^3, base=~A+B+C, max.sol=2)
    ### Show a keymatrix of K0
    show(K0[[1]][[1]])

[Package planor version 1.5-1 Index]